<?php
/**
* 网站管理
* @author moufer<moufer@163.com>
* @copyright www.modoer.com
* @version $Id: class.inc.php 3 2007-12-28 09:52 $
*/

(!defined('IN_ADMIN') || !defined('IN_MUDDER')) && exit('Access Denied');

$op = empty($op) ? 'main' : $op;
switch($op) {
    case 'main':
    case 'item':
    case 'space':
        if(!check_submit('templatesubmit')) {

            $templates = $db->get_all("SELECT * FROM {$dbpre}templates WHERE tpltype='$op' ORDER BY bind DESC,templateid");
            $subtitle = ($op=='main' ? '主站' : ($op=='item' ? '商户' : '个人空间')) .'模板列表';
            include cptpl('template');

        } else {
            if($newtemplate && is_array($newtemplate)) { 
                $name = html_special_chars_ex($newtemplate['name']);
                if($name) {
                    $directory = trim($newtemplate['directory']);
                    $copyright = html_special_chars_ex($newtemplate['copyright']);
                    if(!$directory) {
                        cpmsg('未填写模板所在目录，请返回修改。');
                    } elseif(!istpldir($directory,'./templates/'.$op)){
                        cpmsg('模板目录 '.$directory.' 不存在于 ./templates 中，或以 "/" 结尾，请返回修改。');
                    }
                    $db->query("INSERT INTO {$dbpre}templates(`name`,`directory`,`copyright`,`tpltype`) VALUES('$name','$directory','$copyright','$op')");
                }
            }
            if($templates && is_array($templates)) { 
                foreach($templates as $id => $val) {
                    $id = intval($id);
                    if($templateids && is_array($templateids) && in_array($id, $templateids)) {
                        $db->query("DELETE FROM {$dbpre}templates WHERE templateid='$id'");
                    } else {
                        $name = html_special_chars_ex($val['name']);
                        $directory = $val['directory'];
                        if(!$name){
                            cpmsg('模板名称不能为空，请返回修改。');
                        } elseif(!$directory) {
                            cpmsg('未填写模板所在目录，请返回修改。');
                        } elseif(!istpldir($directory,'./templates/'.$op)){
                            cpmsg('模板目录 '.$directory.' 不存在于 ./templates 中，或以 "/" 结尾，请返回修改。');
                        }
                        $db->update("UPDATE {$dbpre}templates SET `name`='$name', `directory`='$directory', tpltype='$op' WHERE templateid='$id'");
                    }
                }
            }
            cache_templates();
            cpmsg('模板更新完毕。',"admincp.php?action=$action&file=$file&op=$op");
        }
        break;
    default:
        cpmsg('未知的操作。');
}
?>